define([
    'Global'
],
    function(Global) {
        var Specialty = Backbone.Model.extend({
            defaults: {
                "object-type": "",
                "name": ""
            },
            parse: function(response) {
                return response;
            },
            initialize: function() {
            }
        });

        Specialty.singleInstance = null;

        Specialty.instance = function () {
            Specialty.singleInstance = Specialty.singleInstance || new Specialty();
            return Specialty.singleInstance;
        }

        return Specialty;
    }
);
